org.springframework.ldap.transaction.compensating

## Class NullOperationRecorder

- java.lang.Object
- - org.springframework.ldap.transaction.compensating.NullOperationRecorder

- All Implemented Interfaces:
    CompensatingTransactionOperationRecorder

      public class NullOperationRecorder
      extends Object
      implements CompensatingTransactionOperationRecorder

  A `CompensatingTransactionOperationRecorder` performing nothing, returning a `NullOperationExecutor` regardless of the input. Instances of this class will be created if the `CompensatingTransactionOperationManager` cannot determine any appropriate `CompensatingTransactionOperationRecorder` for the current operation.
  Since:
    1.2
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullOperationRecorder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompensatingTransactionOperationExecutor` | `recordOperation(Object[] args)` Record information about the operation performed and return a corresponding `CompensatingTransactionOperationExecutor` to be used if the operation would need to be rolled back.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullOperationRecorder

          public NullOperationRecorder()

  - ### Method Detail

    - #### recordOperation

          public CompensatingTransactionOperationExecutor recordOperation(Object[] args)

      Description copied from interface: `CompensatingTransactionOperationRecorder`
      Record information about the operation performed and return a corresponding `CompensatingTransactionOperationExecutor` to be used if the operation would need to be rolled back.
      Specified by:
        `recordOperation` in interface `CompensatingTransactionOperationRecorder`
      Parameters:
        `args` - The arguments that have been sent to the operation.
      Returns:
        A `CompensatingTransactionOperationExecutor` to be used if the recorded operation should need to be rolled back.